Loading...
Searching...
No Matches
Opm::EclMaterialLaw::HystParams< Traits > Class Template Reference

## Public Types

using | Scalar = typename Traits::Scalar
using | GasOilHystParams = typename TwoPhaseTypes<Traits>::GasOilHystParams
using | GasWaterHystParams = typename TwoPhaseTypes<Traits>::GasWaterHystParams
using | OilWaterHystParams = typename TwoPhaseTypes<Traits>::OilWaterHystParams
using | LookupFunction = std::function<unsigned(unsigned)>

## Public Member Functions

| HystParams (typename Manager< Traits >::Params &params, const EclEpsGridProperties &epsGridProperties, const EclEpsGridProperties *epsImbGridProperties, const EclipseState &eclState, const Manager< Traits > &parent)
void | finalize ()
std::shared_ptr< GasOilHystParams > | getGasOilParams ()
std::shared_ptr< OilWaterHystParams > | getOilWaterParams ()
std::shared_ptr< GasWaterHystParams > | getGasWaterParams ()
void | setConfig (unsigned satRegionIdx)
void | setDrainageParamsOilGas (unsigned elemIdx, unsigned satRegionIdx, const LookupFunction &lookupIdxOnLevelZeroAssigner)
void | setDrainageParamsOilWater (unsigned elemIdx, unsigned satRegionIdx, const LookupFunction &lookupIdxOnLevelZeroAssigner)
void | setDrainageParamsGasWater (unsigned elemIdx, unsigned satRegionIdx, const LookupFunction &lookupIdxOnLevelZeroAssigner)
void | setImbibitionParamsOilGas (unsigned elemIdx, unsigned satRegionIdx, const LookupFunction &lookupIdxOnLevelZeroAssigner)
void | setImbibitionParamsOilWater (unsigned elemIdx, unsigned satRegionIdx, const LookupFunction &lookupIdxOnLevelZeroAssigner)
void | setImbibitionParamsGasWater (unsigned elemIdx, unsigned satRegionIdx, const LookupFunction &lookupIdxOnLevelZeroAssigner)

The documentation for this class was generated from the following files:

- opm/material/fluidmatrixinteractions/EclMaterialLawHystParams.hpp
- opm/material/fluidmatrixinteractions/EclMaterialLawHystParams.cpp